For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgents

Update agent

PATCH
/v1/convai/agents/:agent_id
PATCH
/v1/convai/agents/:agent_id
$curl -X PATCH https://api.elevenlabs.io/v1/convai/agents/agent_id \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "agent_id": "agent_7101k5zvyjhmfg983brhmhkd98n6",
3 "name": "My Agent",
4 "conversation_config": {
5 "asr": {
6 "quality": "high",
7 "provider": "elevenlabs",
8 "user_input_audio_format": "pcm_16000",
9 "keywords": [
10 "hello",
11 "world"
12 ]
13 },
14 "turn": {
15 "turn_timeout": 7,
16 "silence_end_call_timeout": -1,
17 "turn_eagerness": "normal",
18 "spelling_patience": "auto",
19 "speculative_turn": false,
20 "retranscribe_on_turn_timeout": false,
21 "soft_timeout_config": {
22 "timeout_seconds": -1,
23 "message": "Hhmmmm...yeah."
24 },
25 "interruption_ignore_terms": [],
26 "mode": "turn"
27 },
28 "tts": {
29 "model_id": "eleven_turbo_v2",
30 "voice_id": "cjVigY5qzO86Huf0OWal",
31 "agent_output_audio_format": "pcm_16000",
32 "optimize_streaming_latency": 3,
33 "stability": 0.5,
34 "speed": 1,
35 "similarity_boost": 0.8,
36 "pronunciation_dictionary_locators": []
37 },
38 "conversation": {
39 "max_duration_seconds": 600,
40 "client_events": [
41 "audio",
42 "interruption"
43 ]
44 },
45 "language_presets": {},
46 "vad": {
47 "background_voice_detection": false
48 },
49 "agent": {
50 "first_message": "Hello, how can I help you today?",
51 "language": "en",
52 "disable_first_message_interruptions": false
53 }
54 },
55 "metadata": {
56 "created_at_unix_secs": 1,
57 "updated_at_unix_secs": 1
58 },
59 "workflow": {
60 "edges": {
61 "entry_to_tool_a": {
62 "source": "entry_node",
63 "target": "tool_node_a",
64 "forward_condition": {
65 "type": "llm",
66 "condition": "Tool A condition"
67 }
68 },
69 "start_to_entry": {
70 "source": "start_node",
71 "target": "entry_node",
72 "forward_condition": {
73 "type": "unconditional"
74 }
75 },
76 "tool_a_to_failure": {
77 "source": "tool_node_a",
78 "target": "failure_node",
79 "forward_condition": {
80 "type": "result",
81 "successful": false
82 }
83 },
84 "tool_a_to_tool_b": {
85 "source": "tool_node_a",
86 "target": "tool_node_b",
87 "forward_condition": {
88 "type": "result",
89 "successful": true
90 }
91 },
92 "tool_b_to_agent_transfer": {
93 "source": "tool_node_b",
94 "target": "success_transfer",
95 "forward_condition": {
96 "type": "unconditional"
97 }
98 },
99 "tool_b_to_conversation": {
100 "source": "tool_node_b",
101 "target": "success_conversation",
102 "forward_condition": {
103 "type": "llm",
104 "condition": "Conversation condition"
105 }
106 },
107 "tool_b_to_end": {
108 "source": "tool_node_b",
109 "target": "success_end",
110 "forward_condition": {
111 "type": "llm",
112 "condition": "End condition"
113 }
114 },
115 "tool_b_to_phone": {
116 "source": "tool_node_b",
117 "target": "success_phone",
118 "forward_condition": {
119 "type": "expression",
120 "expression": {
121 "type": "or_operator",
122 "children": [
123 {
124 "type": "dynamic_variable",
125 "name": "force_phone_transfer"
126 },
127 {
128 "type": "llm",
129 "value_schema": {
130 "type": "boolean",
131 "description": "Phone condition"
132 },
133 "prompt": "Phone condition"
134 },
135 {
136 "type": "eq_operator",
137 "left": {
138 "type": "dynamic_variable",
139 "name": "mode"
140 },
141 "right": {
142 "type": "string_literal",
143 "value": "dev"
144 }
145 }
146 ]
147 }
148 }
149 }
150 },
151 "nodes": {
152 "entry_node": {
153 "type": "override_agent",
154 "additional_knowledge_base": [],
155 "additional_prompt": "",
156 "additional_tool_ids": [],
157 "conversation_config": {},
158 "edge_order": [
159 "entry_to_tool_a"
160 ],
161 "label": "Entry",
162 "position": {
163 "x": 0,
164 "y": 0
165 },
166 "auto_advance_after_first_response": false
167 },
168 "failure_node": {
169 "type": "override_agent",
170 "additional_knowledge_base": [],
171 "additional_prompt": "",
172 "additional_tool_ids": [],
173 "conversation_config": {},
174 "edge_order": [],
175 "label": "Failure",
176 "position": {
177 "x": 0,
178 "y": 0
179 },
180 "auto_advance_after_first_response": false
181 },
182 "start_node": {
183 "type": "start",
184 "edge_order": [
185 "start_to_entry"
186 ],
187 "position": {
188 "x": 0,
189 "y": 0
190 }
191 },
192 "success_conversation": {
193 "type": "override_agent",
194 "additional_knowledge_base": [],
195 "additional_prompt": "",
196 "additional_tool_ids": [],
197 "conversation_config": {},
198 "edge_order": [],
199 "label": "Success A",
200 "position": {
201 "x": 0,
202 "y": 0
203 },
204 "auto_advance_after_first_response": false
205 },
206 "success_end": {
207 "type": "end",
208 "edge_order": [],
209 "position": {
210 "x": 0,
211 "y": 0
212 }
213 },
214 "success_phone": {
215 "type": "phone_number",
216 "custom_sip_headers": [],
217 "edge_order": [],
218 "position": {
219 "x": 0,
220 "y": 0
221 },
222 "transfer_destination": {
223 "type": "phone",
224 "phone_number": "+1234567890"
225 },
226 "transfer_type": "conference"
227 },
228 "success_transfer": {
229 "type": "standalone_agent",
230 "agent_id": "success_transfer_agent",
231 "delay_ms": 0,
232 "edge_order": [],
233 "enable_transferred_agent_first_message": false,
234 "position": {
235 "x": 0,
236 "y": 0
237 }
238 },
239 "tool_node_a": {
240 "type": "tool",
241 "edge_order": [
242 "tool_a_to_failure",
243 "tool_a_to_tool_b"
244 ],
245 "position": {
246 "x": 0,
247 "y": 0
248 },
249 "tools": [
250 {
251 "tool_id": "tool_a"
252 },
253 {
254 "tool_id": "tool_b"
255 }
256 ]
257 },
258 "tool_node_b": {
259 "type": "tool",
260 "edge_order": [
261 "tool_b_to_conversation",
262 "tool_b_to_end",
263 "tool_b_to_phone",
264 "tool_b_to_agent_transfer"
265 ],
266 "position": {
267 "x": 0,
268 "y": 0
269 },
270 "tools": [
271 {
272 "tool_id": "tool_a"
273 }
274 ]
275 }
276 },
277 "prevent_subagent_loops": false
278 }
279}
Patches an Agent settings
Was this page helpful?
Previous

Delete agent

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.

Headers

xi-api-keystringOptional

Query parameters

enable_versioning_if_not_enabledbooleanOptionalDefaults to trueDeprecated

Deprecated: all agents are versioned. This parameter is ignored.

branch_idstring or nullOptional
The ID of the branch to use

Request

This endpoint expects an object.
conversation_configobjectOptional
Conversation configuration for an agent
platform_settingsobjectOptional
Platform settings for the agent are all settings that aren't related to the conversation orchestration and content.
workflowobjectOptional
Workflow for the agent. This is used to define the flow of the conversation and how the agent interacts with tools.
namestring or nullOptional
A name to make the agent easier to find
tagslist of strings or nullOptional
Tags to help classify and filter the agent
version_descriptionstring or nullOptional

Description for this version when publishing changes (only applicable for versioned agents)

Response

Successful Response
agent_idstring
The ID of the agent
namestring
The name of the agent
conversation_configobject
The conversation configuration of the agent
metadataobject
The metadata of the agent
platform_settingsobject
The platform settings of the agent
phone_numberslist of objects
The phone numbers of the agent
whatsapp_accountslist of objects
WhatsApp accounts assigned to the agent
workflowobject
The workflow of the agent
access_infoobject or null
The access information of the agent for the user
tagslist of strings
Agent tags used to categorize the agent
version_idstring or null
The ID of the version the agent is on
branch_idstring or null
The ID of the branch the agent is on
main_branch_idstring or null
The ID of the main branch for this agent

Errors

422
Unprocessable Entity Error